<div class="container">
  <div class="row absolute" [ngClass]="{ transition: movieListOn }">
    <div class="input-field col s6 offset-s3">
      <input
        id="icon_telephone"
        (change)="searchMovie($event)"
        type="tel"
        class="validate"
      />
      <label for="icon_telephone">Search for a movie</label>
      <i class="material-icons prefix fas fa-search"></i>
    </div>
  </div>

  <div *ngIf="loading" class="mt100 progress loader my-center">
    <div class="indeterminate"></div>
  </div>

  <div *ngIf="movies" class="mt100">
    <div class="row">
      <div *ngFor="let movie of movies">
        <div class="col s12 m6 xl4">
          <div class="card">
            <div class="card-image">
              <img class="my-card-img" src="{{ movie.image }}" alt="poster" />
            </div>
            <div class="card-content my-card-content">
              <h4 class="truncate">{{ movie.title }}</h4>
              <p>Actors: {{ movie.actors.join(", ") }}</p>
              <p>Year: {{ movie.year }}</p>
            </div>
            <div class="card-action">
              <a
                class="waves-effect waves-light btn"
                [routerLink]="'/details/' + movie.id"
                ><i class="material-icons left fas fa-info-circle"></i
                >Details</a
              >
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
